/**
 * IVXBPQ2.java
 *
 * File generated from the medication2::IVXBPQ2 uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import java.util.List;

// End of user code
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class IVXBPQ2.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IVXB_PQ", propOrder = {
	"inclusive"
})
@XmlRootElement(name = "IVXB_PQ")
public class IVXBPQ2 extends net.ihe.gazelle.medication2.PQ2 implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        .
	 */
	@XmlAttribute(name = "inclusive")
	public java.lang.Boolean inclusive;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return inclusive.
	 * @return inclusive :                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        
	 */
	public java.lang.Boolean getInclusive() {
	    return inclusive;
	}
	
	/**
	 * Set a value to attribute inclusive.
	 * @param inclusive :                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        .
	 */
	public void setInclusive(java.lang.Boolean inclusive) {
	    this.inclusive = inclusive;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication2");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "IVXB_PQ").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(IVXBPQ2 iVXBPQ2, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (iVXBPQ2 != null){
   			net.ihe.gazelle.medication2.PQ2.validateByModule(iVXBPQ2, _location, cvm, diagnostic);
    	}
    }

}
